	integer*4 function bio_open (bio_fab, bio_rab, bio_lun)

C+
C Version:	V1-003
C
C Facility:	Library routines - Block mode I/O.
C
C Abstract:	Open a file for block mode i/o.
C
C Environment:	User mode.
C
C History:
C
C	09-Dec-1988, DBS, Version V1-001
C 001 -	Original version.
C	20-Dec-1988, DBS; Version V1-002
C 002 -	Changed the open characteristics in the fab$b_fac field.
C	27-Jan-1989, DBS; Version V1-003
C 003 -	Changed open characteristics again... I'll get it right soon.
C-

C++
C Functional Description:
C	This routine opens a file for block mode i/o, therefore bypassing
C	the normal RMS file i/o processing and allowing you much more scope
C	and freedom (more rope?) to play around with files.
C
C Calling Sequence:
C	Specify the name of this routine in the useropen clause of a normal
C	fortran open statement.  Make sure it is declared as external.
C		..., useropen=bio_open, ...
C
C Formal Argument(s):
C	bio_fab.??
C	bio_rab.??
C	bio_lun.??
C
C Implicit Inputs:
C	None
C
C Implicit Outputs:
C	None
C
C Completion Codes:
C	The value retuned by sys$open (and sys$connect) is passed back 
C	to the user.
C
C Side Effects:
C	None
C--

 	implicit none

C External references and includes

	integer*4	sys$connect
	external	sys$connect
	integer*4	sys$open
	external	sys$open

C Structures

	include '($FABDEF)'
	include '($RABDEF)'

C Type declarations for variables

	record	/fabdef/	bio_fab
	record	/rabdef/	bio_rab
	integer*4		bio_lun
	integer*4		open_status

C+
C Mainline
C-

	bio_fab.fab$b_fac = (fab$m_bio
	1			.or. fab$m_get
	1			.or. fab$m_put
	1			.or. fab$m_upd)
	bio_fab.fab$b_shr = (fab$m_shrdel .or. fab$m_shrget
	1			.or. fab$m_shrput
	1			.or. fab$m_shrupd
	1			.or. fab$m_upi)

	open_status = sys$open (bio_fab)

	if (open_status) then
		open_status = sys$connect (bio_rab)
	end if

	bio_open = open_status

	return
  	end
