	subroutine for_signal

C+
C Version:	V1-001
C
C Facility:	Library routines.
C
C Abstract:	Check for any fortran run-time library errors and signal them.
C
C Environment:	User mode.
C
C History:
C
C	11-Apr-1990, DBS, Version V1-001
C 001 -	Original version.
C-

C++
C Functional Description:
C	This routine uses the ERRSNS routine of Fortran to check for any errors
C	and if one is found, a vms error is signalled.  Continuation of the
C	calling routine depends on the severity of the error.
C
C Calling Sequence:
C		call for_signal
C
C Formal Argument(s):
C	None
C
C Implicit Inputs:
C	None
C
C Implicit Outputs:
C	None
C
C Completion Codes:
C	None
C
C Side Effects:
C	None
C--

	implicit none

C External references (and includes)

	external	lib$put_output
	external	lib$signal
	external	sys$fao

C Type declarations for parameters and PARAMETER statements

	character	fao_ctrstr*(*)
	parameter	(fao_ctrstr = '%Fortran I/O error !UL '
	1				//'occurred on unit !UL')

C Type declarations for variables

	integer*4	cond_val
	integer*4	io_status
	integer*4	io_unit
	character	line*80
	integer*4	line_len
	integer*4	rms_sts
	integer*4	rms_stv

C+
C Mainline
C-

	call errsns (io_status, rms_sts, rms_stv, io_unit, cond_val)

	if (io_status .ne. 0) then
		call sys$fao (%descr(fao_ctrstr)
	1			,%ref(line_len)
	1			,%descr(line)
	1			,%val(io_status)
	1			,%val(io_unit))
		call lib$put_output (line(1:line_len))
		call lib$signal (%val(rms_sts), %val(rms_stv))
	endif !(iostatus .ne. 0) then

	return
	end
