	subroutine str_collapse (dst_str, src_str)

C+
C Version:	V1-002
C
C Facility:	Library routines.
C
C Abstract:	Scan a character string removing spaces, tabs and nulls and
C		write the result to a destination string.
C
C Environment:	User mode.
C
C History:
C
C	15-Mar-1989, DBS; Version V1-001
C 001 -	Original version.
C	21-Mar-1989, DBS; Version V1-002
C 002 -	Modified to allow the destination string to be the source string.
C-

C++
C Functional Description:
C	This routine will perform one scan of a source character string and
C	remove all occurences of tabs, spaces and nulls.
C
C Calling Sequence:
C
C	call str_collapse (destination, source)
C
C Formal Argument(s):
C	dst_str.wt.ds	The destination string.
C	src_str.rt.ds	The source string.
C
C Implicit Inputs:
C	None
C
C Implicit Outputs:
C	None
C
C Completion Codes:
C	None
C
C Side Effects:
C	None
C--

 	implicit none

C External references

	integer*4	str_len
	external	str_len

C Type declarations for parameters and PARAMETER statements

	character	nul*(*)
	character	space*(*)
	character	tab*(*)

	parameter	(nul = char(0))
	parameter	(space = char(32))
	parameter	(tab = char(9))

C Type declarations for variables

	character	src_str*(*)
	character	dst_str*(*)

	integer*4	src_len
	integer*4	dst_len
	integer*4	src_loop
	integer*4	dst_loop
	character	this_one*1

C+
C Mainline
C-

	src_len	 = str_len (src_str)
	dst_len	 = len(dst_str)
	src_loop = 1
	dst_loop = 1

	do while ((src_loop .le. src_len) .and. (dst_loop .le. dst_len))
		this_one = src_str(src_loop:src_loop)
		if ((this_one .ne. space) .and. (this_one .ne. tab)
	1			.and. (this_one .ne. nul)) then
			dst_str(dst_loop:dst_loop) = this_one
			dst_loop = dst_loop + 1
		end if
		src_loop = src_loop + 1
	end do

	do while (dst_loop .le. dst_len)
		dst_str(dst_loop:dst_loop) = space
		dst_loop = dst_loop + 1
	end do

	return
	end
