	subroutine str_compress (dst_str, src_str)

C+
C Version:	V1-001
C
C Facility:	Library routines.
C
C Abstract:	Trim leading nulls, spaces and tabs from a string, compress
C		multiple spaces and tabs to a single space.
C
C Environment:	User mode.
C
C History:
C
C	04-Oct-1989, DBS; Version V1-001
C 001 -	Original version.
C-

C++
C Functional Description:
C	This routine will scan a string and remove leading spaces, tabs and
C	nulls and then replace multiple spaces and tabs with single spaces.
C
C Calling Sequence:
C
C	call str_compress (destination, source)
C
C Formal Argument(s):
C	dst_str.wt.ds	The destination string.
C	src_str.rt.ds	The source string.
C
C Implicit Inputs:
C	None
C
C Implicit Outputs:
C	None
C
C Completion Codes:
C	None
C
C Side Effects:
C	None
C--

 	implicit none

C External references

	integer*4	str_len
	external	str_len
	external	str_trim
	external	str_substitute

C Type declarations for parameters and PARAMETER statements

	character	space*(*)
	character	space_space*(*)
	character	tab*(*)

	parameter	(space = char(32))
	parameter	(space_space = space//space)
	parameter	(tab = char(9))

C Type declarations for variables

	character	src_str*(*)
	character	dst_str*(*)

	integer*4	string_len

C+
C Mainline
C-

	call str_trim (dst_str, src_str)

	call str_substitute (dst_str, dst_str, tab, space)

	string_len = str_len (dst_str)

	do while (index(dst_str(1:string_len), space_space) .ne. 0)
		call str_substitute (dst_str, dst_str, space_space, space)

		string_len = str_len (dst_str)
	end do

	return
	end
