 	subroutine str_just_left (target, source, pad_char)

C+
C Version:	V1-002
C
C Facility:	Library routines.
C
C Abstract:	Left justify and pad a string.
C
C Environment:	User mode.
C
C History:
C
C	07-Dec-1988, DBS; Version V1-001
C 001 -	Original version.
C	29-Dec-1988, DBS; Version V1-002
C 002 -	Changed the order of the parameters to reflect the standard
C-

C++
C Functional Description:
C	This routine leftt justifies a string and right fills the target
C	with the pad character supplied.
C
C Calling Sequence:
C
C	call str_just_left (target, source, pad_char)
C
C Formal Argument(s):
C	target.wt.ds	Somewhere to put the result.
C	source.rt.ds	The source string.
C	pad_char.rt.ds	The character with which to pad out the string.
C
C Implicit Inputs:
C	None
C
C Implicit Outputs:
C	None
C
C Completion Codes:
C	None
C
C Side Effects:
C	None
C--

 	implicit none

C External references

	integer*4	str_len
	external	str_len

C Type declarations for variables

	character	target*(*)
	character	source*(*)
	character	pad_char*(*)

	integer*4	loop
	integer*4	source_len
	integer*4	target_len

C+
C Mainline
C-

	source_len = str_len (source)
	target_len = len(target)

	target = source(1:source_len)

	loop = source_len + 1

	do while (loop .le. target_len)
		target(loop:loop) = pad_char(1:1)
		loop	= loop + 1
	end do

	return
	end
