 	integer function str_match*4 (candidate, pattern)

C+
C Version:	V1-001
C
C Facility:	Library routines.
C
C Abstract:	Compare two strings for a wildcard or generic match.
C
C Environment:	User mode.
C
C History:
C
C	11-Nov-1988, DBS; Version V1-001
C 001 -	Original version.
C-

C++
C Functional Description:
C	This routine will attempt to match two strings using the system
C	routine str$match_wild, and then trying to do a generic match.
C
C Calling Sequence:
C	status = str_match (candidate, pattern) or
C	if (str_match (candidate, pattern)) then...
C
C Formal Argument(s):
C	candidate.rt.ds	This is the string that you hope matches the
C			pattern string.
C	pattern.rt.ds	This is the valid pattern, eg. a wildcard.
C
C Implicit Inputs:
C	None
C
C Implicit Outputs:
C	None
C
C Completion Codes:
C	The same as returned by str$match_wild or'd with the equality (or
C	otherwise) of candidate and pattern (see below...)
C
C Side Effects:
C	None
C--

 	implicit none

C External references

	integer*4	str$match_wild
	external	str$match_wild
	integer*4	str_len
	external	str_len

C Type declarations for variables

	character	candidate*(*)
	character	pattern*(*)

	integer*4	candidate_len
	integer*4	pattern_len

C+
C Mainline
C-

	candidate_len = str_len(candidate)
	pattern_len   = str_len(pattern)

	str_match = (str$match_wild (%descr(candidate(1:candidate_len))
	1      	 			,%descr(pattern(1:pattern_len)))
	1		.or. (candidate(1:pattern_len) .eq. pattern))

	return
	end
