	subroutine str_subtract (result, from_this, take_this)

C+
C Version:	V1-001
C
C Facility:	Library routines.
C
C Abstract:	Subtract a substring from a target string.
C
C Environment:	User mode.
C
C History:
C
C	02-Mar-1988, DBS; Version V1-001
C 001 -	Original version.
C-

C++
C Functional Description:
C	This routine will find the first occurrence of a substring in the
C	target string and remove it.
C
C Calling Sequence:
C
C	call str_subtract (result, from_this, take_this)
C
C Formal Argument(s):
C	result.wt.ds	The destination string.
C	from_this.rt.ds	The source string.
C	take_this.rt.ds	The substring to be removed.
C
C Implicit Inputs:
C	None
C
C Implicit Outputs:
C	None
C
C Completion Codes:
C	None
C
C Side Effects:
C	None
C--

 	implicit none

C External references

	integer*4	str_len
	external	str_len

C Type declarations for variables

	character	result*(*)
	character	from_this*(*)
	character	take_this*(*)

	integer*4	from_this_len
	integer*4	take_this_len
	integer*4	take_this_loc

C+
C Mainline
C-

	from_this_len = str_len(from_this)
	take_this_len = str_len(take_this)
	take_this_loc = index (from_this, take_this(1:take_this_len))

	if (take_this_loc .eq. 0) then
		result = from_this
	else
	if (take_this_loc .eq. 1) then
		result = from_this(take_this_loc+take_this_len:from_this_len)
	else
	result = from_this(1:take_this_loc-1)
	1	 //from_this(take_this_loc+take_this_len:from_this_len)
	end if
	end if

	return
	end
